Z3 |

Public Member Functions
Params Class Reference
Inheritance diagram for Params:

## Public Member Functions
void | add (Symbol name, boolean value)
void | add (Symbol name, double value)
void | add (Symbol name, String value)
void | add (Symbol name, Symbol value)
void | add (String name, boolean value)
void | add (String name, int value)
void | add (String name, double value)
void | add (String name, Symbol value)
void | add (String name, String value)
String | toString ()

## Additional Inherited Members
Static Public Member Functions inherited from Z3Object
static long[] | arrayToNative (Z3Object[] a)
static int | arrayLength (Z3Object[] a)

## Detailed Description

A ParameterSet represents a configuration in the form of Symbol/value pairs.

Definition at line 24 of file Params.java.

## Member Function Documentation

## ◆ add() [1/9]

void add | ( | String | name,
|  | boolean | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 67 of file Params.java.

68 {
69 Native.paramsSetBool(getContext().nCtx(), getNativeObject(),
70 getContext().mkSymbol(name).getNativeObject(), value);
71 }

Referenced by Solver.__iadd__(), Fixedpoint.__iadd__(), and Optimize.__iadd__().

## ◆ add() [2/9]

void add | ( | String | name,
|  | double | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 85 of file Params.java.

86 {
87 Native.paramsSetDouble(getContext().nCtx(), getNativeObject(), getContext()
88 .mkSymbol(name).getNativeObject(), value);
89 }

Referenced by Solver.__iadd__(), Fixedpoint.__iadd__(), and Optimize.__iadd__().

## ◆ add() [3/9]

void add | ( | String | name,
|  | int | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 76 of file Params.java.

77 {
78 Native.paramsSetUint(getContext().nCtx(), getNativeObject(), getContext()
79 .mkSymbol(name).getNativeObject(), value);
80 }

Referenced by Solver.__iadd__(), Fixedpoint.__iadd__(), and Optimize.__iadd__().

## ◆ add() [4/9]

void add | ( | String | name,
|  | String | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 103 of file Params.java.

104 {
105
106 Native.paramsSetSymbol(getContext().nCtx(), getNativeObject(),
107 getContext().mkSymbol(name).getNativeObject(),
108 getContext().mkSymbol(value).getNativeObject());
109 }

Referenced by Solver.__iadd__(), Fixedpoint.__iadd__(), and Optimize.__iadd__().

## ◆ add() [5/9]

void add | ( | String | name,
|  | Symbol | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 94 of file Params.java.

95 {
96 Native.paramsSetSymbol(getContext().nCtx(), getNativeObject(), getContext()
97 .mkSymbol(name).getNativeObject(), value.getNativeObject());
98 }

Referenced by Solver.__iadd__(), Fixedpoint.__iadd__(), and Optimize.__iadd__().

## ◆ add() [6/9]

void add | ( | Symbol | name,
|  | boolean | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 28 of file Params.java.

29 {
30 Native.paramsSetBool(getContext().nCtx(), getNativeObject(),
31 name.getNativeObject(), (value));
32 }

Referenced by Solver.__iadd__(), Fixedpoint.__iadd__(), and Optimize.__iadd__().

## ◆ add() [7/9]

void add | ( | Symbol | name,
|  | double | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 37 of file Params.java.

38 {
39 Native.paramsSetDouble(getContext().nCtx(), getNativeObject(),
40 name.getNativeObject(), value);
41 }

Referenced by Solver.__iadd__(), Fixedpoint.__iadd__(), and Optimize.__iadd__().

## ◆ add() [8/9]

void add | ( | Symbol | name,
|  | String | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 46 of file Params.java.

47 {
48
49 Native.paramsSetSymbol(getContext().nCtx(), getNativeObject(),
50 name.getNativeObject(),
51 getContext().mkSymbol(value).getNativeObject());
52 }

Referenced by Solver.__iadd__(), Fixedpoint.__iadd__(), and Optimize.__iadd__().

## ◆ add() [9/9]

void add | ( | Symbol | name,
|  | Symbol | value
| ) |  |
| inline

Adds a parameter setting.

Definition at line 57 of file Params.java.

58 {
59
60 Native.paramsSetSymbol(getContext().nCtx(), getNativeObject(),
61 name.getNativeObject(), value.getNativeObject());
62 }

Referenced by Solver.__iadd__(), Fixedpoint.__iadd__(), and Optimize.__iadd__().

## ◆ toString()

String toString | ( |  | ) |
| inline

A string representation of the parameter set.

Definition at line 115 of file Params.java.

116 {
117 return Native.paramsToString(getContext().nCtx(), getNativeObject());
118 }